Subject: Re: RAMDISK on EP88xc

From: Scott Wood <[email-masked]>
Date: Mon, 06 Jul 2009 13:38:46 -0500

Mikhail Zaturenskiy wrote:
>> If you have time, could you bisect to see when the slowdown was introduced?
>>
>> -Scott
>>
> 
> Scott, I tested with kernels 2.6.28, 2.6.29 and 2.6.30 all obtained
> from git.kernel.org and configured the same.
> So, on my EP88xc board 2.6.28 and 2.6.29 work ok, 2.6.30 has the
> slowdown issue after loading a ramdisk.
> 
> After doing this testing I have a side question:
> If I modify just arch/powerpc/configs/ep88x_defconfig, not all changes
> are reflected in the resulting .config when i do "make
> ep88x_defconfig; make uImage". I ended up having to modify
> arch/powerpc/Kconfig, arch/powerpc/configs/ep88xc_defconfig,
> fs/ext2/Kconfig and init/Kconfig to get "make ep88x_defconfig; make
> uImage" to create a properly configured image, but this really doesn't
> feel right. What's the proper way to set up a defconfig?

What changes are you trying to make to the config, and what did you 
change in the Kconfig files?

-Scott